{
    template:'${tmpl}',
    data(){
        return {
          showList:true,
          showTmFlow:true,
          tmlist:[],
          bigdatatmlist:[],
          tminfo:{},
          tmflows:[],
          status:{"1":"有效","2":"无效","3":"待审","4":"不定","5":"未知状态"},
          tm_type:{"p":"普通商标","J":"集体商标","Z":"证明商标","T":"特殊商标"},
        }
    },
    mounted:function(){
      var currentUser=this.$store.state.currentUser;
      console.log(currentUser);
      this.$root.getReq("/web/trademarkCtl/findByPayUserId",{"payUserId":currentUser.id}).then(d=>{
        console.log(d);
        if(d.length>0){
          this.tmlist=d;
        }
        this.$root.getReq("/web/trademarkCtl/findBigDataTmByPayUserId",{"payUserId":currentUser.id}).then(dd=>{
          console.log(dd);
          if(dd.length>0){
            this.bigdatatmlist=dd;
          }

        }).catch(e=>{
          console.log(e);
        });
      }).catch(e=>{
        console.log(e);
      });
    },
    methods:{
      rowClick(tm){
        console.log(tm);
        this.showList=false;
        this.showTmFlow=true;
        this.tminfo=tm;
        this.$root.getReq("/web/trademarkCtl/findTmFlowByProxyCode",{"proxyCode":tm.proxyCode}).then(d=>{
          console.log(d);
          if(d.length>0){
            this.tmflows=d;
          }
        }).catch(e=>{
          console.log(e);
        });
      },
      showDetail(tm){
        this.showList=false;
        this.showTmFlow=false;
        this.tminfo=tm;
        this.$root.getReq("/web/trademarkCtl/findTmFlowByProxyCode",{"proxyCode":tm.proxyCode}).then(d=>{
          console.log(d);
          if(d.length>0){
            this.tmflows=d;
          }
        }).catch(e=>{
          console.log(e);
        });
      },
      showList(){
        this.showList=true;
      },
    },

    vname:"gsb-mobiletmlist"
}
